Assign Project to Security Group

Prev Next
Post
/sys-rest-api/rest/1/jcjobsecgrpproj

Overview

This endpoint allows jobs and projects to be assigned to job/project security groups, enabling users assigned to those groups to access the associated records.

UI Navigation

System Data > Job/Project Security > Assign Job/Project to Security Groups

Reference Article

https://docs.cmicglobal.com/portal/Content/E_Reference_Material/SD_-_System_Data/Reference/Security/Job_Project_Security.htm?Highlight=assign%20user%20to%20job%20security%20group

Finders

The following finders are available for data filtering and optimizing request performance.

  • findByProjCode

  • findByCompCode

  • findByGroupCode

Query Standards

Key Recommended Description
finder Yes Filters data based on attributes.
limit Yes No. of items to return
offset Yes The offset skips a specified number of items in a data list before it starts showing results. For example, if you set an offset of 10, it skips the first 10 items and begins showing from the 11th item. For additional information on using offset functionality, please visit [Best Practice
orderBy Yes The orderBy attribute retrieves rows using an order ensuring the response payload displays data in the order supplied in the URL parameter using the GET method. For more information on using orderBy functionality, please visit [Best Practice

Finders

Finder Parameter Data Type Description Example Mandatory
PrimaryKey VUUID String V_UUID /431ACBF2E3E36B08E0630B811DAC71E5 False
findByCompCode compCode String companyCode /syst-rest-api/rest/1/jcjobsecgrpuser?finder=findByCompCode;compCode="ZZ" Optional
findByGroupCode groupCode String security group /sys-rest-api/rest/1/jcjobsecgrpuser?finder=findByGroupCode;groupCode="MASTER" Optional
findByProjCode projCode String user /sys-rest-api/rest/1/jcjobsecgrpuser?finder=findByProjCode;projCode="PC-20246" Optional

Attributes

CMiC UI Fieldname Object Name Description Type Data Length Example Mandatory
jcjobsecgrpproj JsgpProjCode project code String 10 "PC-20246" True
jcjobsecgrpproj JsgpCompCode company code String 8 ZZ True
jcjobsecgrpproj JsgpGroupCode security group String 10 MASTER True
jcjobsecgrpproj JsgpVUuid vuuid String 64 431ACBF2E3E36B08E0630B811DAC71E5 False
Security
HTTP
Type basic

Basic authentication

Body parameters
object
Example{ "JsgpCompCode": "ZZ", "JsgpGroupCode": "JOBTEST", "JsgpProjCode": "PC-20246R", "JsgpVUuid": "1" }
Responses
201

Created

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourceitem+json
"{\n    \"JsgpCompCode\": \"ZZ\",\n    \"JsgpGroupCode\": \"JOBTEST\",\n    \"JsgpProjCode\": \"PC-20246R\",\n    \"PmpProjName\": null,\n    \"JsgpVUuid\": \"44951677E55B0816E0630B811DAC26B2\",\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/sys-rest-api/rest/1/jcjobsecgrpproj/44951677E55B0816E0630B811DAC26B2\",\n            \"name\": \"jcjobsecgrpproj\",\n            \"kind\": \"item\"\n        },\n        {\n            \"rel\": \"canonical\",\n            \"href\": \"http://127.0.0.1:7101/sys-rest-api/rest/1/jcjobsecgrpproj/44951677E55B0816E0630B811DAC26B2\",\n            \"name\": \"jcjobsecgrpproj\",\n            \"kind\": \"item\"\n        }\n    ]\n}"
string